# Generated by Django 4.0.4 on 2022-05-25 12:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('authentication', '0001_initial'),
        ('hospital', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='patientmedicine',
            name='doctor_name',
        ),
        migrations.AddField(
            model_name='patientmedicine',
            name='doctor_name',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='authentication.doctor'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='patientmedicine',
            name='medicine_name',
        ),
        migrations.AddField(
            model_name='patientmedicine',
            name='medicine_name',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='hospital.medicine'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='patientmedicine',
            name='nurse_name',
        ),
        migrations.AddField(
            model_name='patientmedicine',
            name='nurse_name',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='authentication.nurse'),
            preserve_default=False,
        ),
    ]
